Subject: Re: bug#21517: 11.88.8; Error parsing wrong in Plain TeX mode

From: jfbu <[email-masked]>
Date: Sat, 19 Sep 2015 17:08:18 +0200

Le 19 sept. 2015 à 16:42, Mosè Giordano <[email-masked]> a écrit :

> Hi Jean-François,
> 
> 2015-09-19 14:15 GMT+02:00 jfbu <[email-masked]>:
>> Hi Tassilo
>> 
>> Le 19 sept. 2015 à 14:03, Tassilo Horn <[email-masked]> a écrit :
>> 
>>>> 
>>>> I see in the message mini-buffer
>>>>> TeX errors in `*~/_texlatex/1509/bugauctex output*'. Use C-c ` to display.
>>>> 
>>>> On C-c `, I get:
>>>>> No more errors.
>>> 
>>> Ah, there's been a bug in `TeX-TeX-sentinel' which invoked error parsing
>>> only if there were no errors. ;-)
>>> 
>>> I think it is fixed now.  Could you please check and report back?
>> 
>> 
>> Yes, I applied the patch to tex-buf.el from the latest commit
>> and error parsing seems to function as expected in TeX-mode
> 
> Oops, sorry, I think those bugs were my fault, thanks for having
> spotted them!
> 
>> C-c `  is OK, and Command->Error Overview also
>> 
>> this is at least on my \underline example, but as I never do any
>> error in TeX coding if not intentionally, it might be
>> a very long time before I can confirm more generally, though
> 
> I wonder how many plain TeX users we have (or at least plain TeX users only,
> no LaTeX, who care to report bugs): bug fixed with commit
> 
>    * 1a5d447 (2013-04-17)  Fix plain TeX abbrev table name.
> 
> (http://git.savannah.gnu.org/gitweb/?p=auctex.git;a=commitdiff;h=1a5d447)
> made opening plain TeX files pretty uncomfortable, still was never
> reported before the fix, which came 2.5 years after the bug had been
> introduced and 5 months after previous stable version.
> 
> Bye,
> Mosè

Hi Mosè, 

I couldn't tell, but I suspect I completely under-estimate the
benefits I would get from AUCTeX. There must be tons of features
I don't use (exactly like with Emacs globally: every few years
I want to learn more, I do, then I forget and I am back to
beginner level; finally the only truly important moments
were when I did for the very first time the tutorial
and learned C-xC-s, C-x-C-c. Another big moment must have been
years later when I started having an Emacs on a Mac OS,
and understood that say C-M-s (whatever it does) was to be
keyed in Escape then a fraction of a second later CTRL-s. 
Those were important steps because I did them only once
and I recalled the lesson; in later years though everything
I ever learn is quickly completely forgotten. End of long digression)
For example there must be some automatic completion
but I just never use such things. 

Thus, when some features go awry, I can certainly stay years
without becoming aware.

Many years back my relation with AUCTeX was more like a fight:
for example how to get it NOT to modify a .tex source file
by the automatic addition of local file variables at the end
when opening it in a buffer. As a novice, it took me quite
a while to identify the proper magic, what was it, let's
dig in my .emacs, ah yes

(setq TeX-one-master '"\"<none>\"")

that was quite a feat getting the suitable escaping and quotes
back then, I was so young and tender. These must have been
before the Google arose. And naturally I didn't have internet
at home.

Then I developed a bad relationship with the install script of the
release tarballs, which had IIRC a tendency to
put things in my /usr/local (or somewhere else) that I didn't want.
Anyway,
that's all past, gone and forgotten. I use ELPA, and that's it.

And I am very glad !

Coming back with more focus on the topic, I don't do much
typesetting with Plain TeX these days, but use it when I need
to quickly check some macros (obviously not from LaTeX packages).

Bug reporting is not always such a nice experience, contrarily
to what I enjoy with Tassilo and yourself since some time now.

Sometimes one has a situation which other people don't understand
because they are not on the same system. Thus I had a very
hard time getting the TeX Live people understand their
kpsewhich has a major speed problem on Mac OS X under certain
circumstances.

Thus I take this opportunity to thank you Mosè, and Tassilo
for all your responsiveness in handling user reports,

bye

Jean-François